Skip to main content
GET
/
route-events
/
stream
Get route events stream
curl --request GET \
  --url https://api.samsara.com/route-events/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "eventTime": "2019-06-13T19:08:25Z",
      "eventType": "stopArrived",
      "happenedAtTime": "2019-06-13T19:08:25Z",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "route": {
        "id": "494123",
        "externalIds": {}
      },
      "eventDetails": {
        "stopEtaUpdated": {
          "etaMs": "1640995200000",
          "etaUpdatedAtMs": "1640995100000"
        },
        "stopTaskCompleted": {
          "taskId": "789",
          "taskType": "form"
        },
        "stopTaskSkipped": {
          "taskId": "789",
          "taskType": "form"
        }
      },
      "stop": {
        "id": "141414",
        "externalIds": {}
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string

A start time in RFC 3339 format. Defaults to 24 hours ago if not provided. Millisecond precision and timezones are supported. (Examples: 2025-07-01T19:08:25Z, 2025-07-01T19:08:25.455Z, OR 2025-07-01T14:00:12-04:00). Cannot be more than 7 days in the past.

limit
integer
default:200

The limit for how many events will be in the response. Default and max for this value is 200 events.

Required range: 1 <= x <= 200
includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

data
object[]
required

List of route event objects.

pagination
object
required

Pagination parameters.